Page MenuHomePhabricator

Numeric sorting for category collation on Estonian projects
Closed, ResolvedPublic

Description

Please change category collation to uca-et-u-kn for Estonian-language wikis and recompute the sort keys. No objections here.

After setting it, I suppose, xx-uca-et related code can be dropped as secondary difference between 'v' and 'w (T56168)' was removed upstream in ICU 54.1 and Wikimedia now uses ICU 57.1.

Event Timeline

Pikne created this task.Aug 28 2018, 10:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2018, 10:14 AM
Pikne updated the task description. (Show Details)Aug 28 2018, 10:17 AM

Change 455804 had a related patch set uploaded (by Gerrit Patch Uploader; owner: Pikne):
[operations/mediawiki-config@master] Set category collation to 'uca-et-u-kn' on Estonian-language wikis

https://gerrit.wikimedia.org/r/455804

Hello @Pikne.
If you plan to take care of the deployment of this patch, please also claim this task ("Add action", "Assign/Claim" then "Submit").
Also, this help page can help you: https://wikitech.wikimedia.org/wiki/SWAT_deploys
You'll need to schedule it on https://wikitech.wikimedia.org/wiki/Deployments and be on irc at the time of the deployment.
Feel free to ask if you need help

Pikne added a comment.EditedAug 29 2018, 6:06 AM

Rather I'm hoping that someone more tech-savvy reviews my request and does the rest.

Edit: Alright, I'll try to arrange the deployment then.

Change 455804 merged by jenkins-bot:
[operations/mediawiki-config@master] Set category collation to 'uca-et-u-kn' on Estonian-language wikis

https://gerrit.wikimedia.org/r/455804

Mentioned in SAL (#wikimedia-operations) [2018-09-11T11:25:14Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:455804|Set category collation to uca-et-u-kn on Estonian-language wikis (T202977)]] (duration: 00m 50s)

zeljkofilipin added a subscriber: zeljkofilipin.EditedSep 11 2018, 11:29 AM
zfilipin@mwmaint1001:~$ mwscript updateCollation.php --wiki=etwikibooks --previous-collation=xx-uca-et
Fixing collation for 881 rows.
...
Selecting next 100 rows... processing...881 done.
881 rows processed
zeljkofilipin added a comment.EditedSep 11 2018, 11:30 AM
zfilipin@mwmaint1001:~$ mwscript updateCollation.php --wiki=etwikimedia --previous-collation=xx-uca-et
Fixing collation for 299 rows.
...
Selecting next 100 rows... processing...299 done.
299 rows processed
zeljkofilipin added a comment.EditedSep 11 2018, 11:31 AM
zfilipin@mwmaint1001:~$ mwscript updateCollation.php --wiki=etwikiquote --previous-collation=xx-uca-et
Fixing collation for 913 rows.
...
Selecting next 100 rows... processing...913 done.
913 rows processed
zeljkofilipin added a comment.EditedSep 11 2018, 11:32 AM
zfilipin@mwmaint1001:~$ mwscript updateCollation.php --wiki=etwikisource --previous-collation=xx-uca-et
Fixing collation for 21627 rows.
....
Selecting next 100 rows... processing...21627 done.
21627 rows processed
zeljkofilipin added a comment.EditedSep 11 2018, 11:37 AM
zfilipin@mwmaint1001:~$ mwscript updateCollation.php --wiki=etwiktionary --previous-collation=xx-uca-et
Fixing collation for 210479 rows.
...
Selecting next 100 rows... processing...210479 done.
210479 rows processed
zeljkofilipin added a comment.EditedSep 11 2018, 11:41 AM
zfilipin@mwmaint1001:~$ mwscript updateCollation.php --wiki=etwiki --previous-collation=xx-uca-et
Fixing collation for 572726 rows.
...
572726 rows processed

Change 459788 had a related patch set uploaded (by Gerrit Patch Uploader; owner: Pikne):
[mediawiki/core@master] Remove xx-uca-et collation workaround

https://gerrit.wikimedia.org/r/459788

Change 459788 merged by jenkins-bot:
[mediawiki/core@master] Remove xx-uca-et collation workaround

https://gerrit.wikimedia.org/r/459788

Pikne closed this task as Resolved.Sep 11 2018, 6:35 PM